source("modules/Loading/Loading.R")
source("modules/Preprocessing/Preprocessing.R")
source("modules/Calibration/Calibration.R")
source("modules/Anomalies/Anomalies.R")
source("modules/Skill/Skill.R")
source("modules/Saving/Saving.R")
source("modules/Visualization/Visualization.R")
source("build_compute_workflow.R")

recipe_file <- "recipes/atomic_recipes/recipe_test_compute.yml"
recipe <- prepare_outputs(recipe_file)

# Load datasets
data <- load_datasets(recipe, retrieve = F)

# Run workflow with compute
result <- run_compute_workflow(recipe, data)

# Plot data
plot_data(recipe, result$data, result$skill,
 	  significance = T)
